Skip to main content
`Ctrl`+`K`

# DSGSVDGetDimensions

Returns the number of columns and rows for a `DSGSVD`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGSVDGetDimensions(DS ds,PetscInt *m,PetscInt *p)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameters

- m - the number of columns

- p - the number of rows for the second problem matrix (`DS_MAT_B`)

## See Also

DS: Direct Solver (or Dense System), `DSGSVD`, `DSGSVDSetDimensions()`

## Level

intermediate

## Location

src/sys/classes/ds/impls/gsvd/dsgsvd.c

## Implementations

DSGSVDGetDimensions_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages